Passes
Send Notification
POST
/
api
/
v1
/
passes
/
{id}
/
notification
Send Notification
curl --request POST \
--url https://api.passentry.com/api/v1/passes/{id}/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification": {
"message": "Use code PASSENTRY2024 for 10% off!"
}
}
'import requests
url = "https://api.passentry.com/api/v1/passes/{id}/notification"
payload = { "notification": { "message": "Use code PASSENTRY2024 for 10% off!" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notification: {message: 'Use code PASSENTRY2024 for 10% off!'}})
};
fetch('https://api.passentry.com/api/v1/passes/{id}/notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "e89b1330fc391ec89656f3c664318cff8805471e",
"type": "pass",
"attributes": {
"downloadUrl": "<string>",
"createdAt": "<string>",
"extId": "<string>",
"groupTag": "<string>",
"groupTags": "<array>",
"addedAt": "<string>",
"removedAt": "<string>",
"deactivatedAt": "<string>",
"nullifiedAt": "<string>",
"expiresAt": "<string>",
"passTemplateUuid": "<string>",
"passTemplateName": "<string>",
"nfc": "<string>",
"barcode": {
"enabled": true,
"value": "123abcd",
"displayText": true
},
"latestMessage": "<string>",
"passContent": {},
"passDesign": {
"backgroundColor": "#EFEFEF",
"labelColor": "#EFEFEF",
"textColor": "#EFEFEF",
"bannerImageUrl": "<string>",
"logoImageUrl": "<string>",
"thumbnailImageUrl": "<string>",
"artworkImageUrl": "<string>",
"secondaryLogoImageUrl": "<string>",
"venueMapImageUrl": "<string>"
},
"locations": [
{
"name": "West Entrance",
"latitude": 51.54321132456805,
"longitude": -0.022901231803803924,
"radius": 90,
"message": "Welcome! Enjoy the show!",
"address": "Mick's Garage, Queens Yard, London, England, E9 5EN, United Kingdom"
}
],
"beacons": [
{
"proximityUuid": "E2C56DB5-DFFB-48D2-B060-D0F5A71096E0",
"major": 65535,
"minor": 8525,
"message": "You're near my store",
"name": "West Entrance"
}
],
"enhancedEventData": {
"event": {
"name": "PassEntry Christmas Party",
"startDateTime": "2026-12-10T18:00:00Z",
"endDateTime": "2026-12-10T22:00:00Z"
},
"venue": {
"name": "Fulham Green",
"region": "London",
"location": {
"latitude": 51.468532,
"longitude": -0.210611
},
"contactPhoneNumber": "+447400123456",
"contactEmailAddress": "[email protected]",
"websiteUrl": "https://www.example.com"
},
"seat": {
"number": "7",
"row": "H",
"section": "312",
"gate": "26"
},
"eventGuide": {
"venueOpenDateTime": "2026-12-10T17:00:00Z",
"venueCloseDateTime": "2026-12-10T22:00:00Z",
"bagPolicyUrl": "<string>",
"orderFoodUrl": "<string>",
"transitInformationUrl": "<string>",
"parkingInformationUrl": "<string>",
"directionsInformationUrl": "<string>",
"merchandiseUrl": "<string>",
"accessibilityUrl": "<string>",
"addOnUrl": "<string>"
}
},
"passSource": {
"oneOf": {
"appleBase64": "<string>",
"googleDownloadUrl": "<string>"
}
},
"binding": {
"bound": true,
"bindingEmail": "<string>",
"learnMoreUrl": "<string>"
}
}
},
"meta": {
"notifications": {
"message": "Delivered succesfully"
}
}
}{
"errors": [
"<string>"
]
}{
"errors": [
"<string>"
]
}{
"errors": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pass UUID or External ID
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Send Notification
